Index: trunk/src/VBox/VMM/include/APICInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/APICInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/APICInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2016 Oracle Corporation
+ * Copyright (C) 2016-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/CFGMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/CFGMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/CFGMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/CPUMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/CPUMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/CPUMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/CPUMInternal.mac
===================================================================
--- trunk/src/VBox/VMM/include/CPUMInternal.mac	(revision 68854)
+++ trunk/src/VBox/VMM/include/CPUMInternal.mac	(revision 69111)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2016 Oracle Corporation
+; Copyright (C) 2006-2017 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/CSAMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/CSAMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/CSAMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/DBGFInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/DBGFInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/DBGFInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/EMHandleRCTmpl.h
===================================================================
--- trunk/src/VBox/VMM/include/EMHandleRCTmpl.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/EMHandleRCTmpl.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/EMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/EMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/EMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/FTMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/FTMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/FTMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2016 Oracle Corporation
+ * Copyright (C) 2010-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/GIMHvInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/GIMHvInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/GIMHvInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2014-2016 Oracle Corporation
+ * Copyright (C) 2014-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/GIMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/GIMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/GIMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2014-2016 Oracle Corporation
+ * Copyright (C) 2014-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/GIMKvmInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/GIMKvmInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/GIMKvmInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2015-2016 Oracle Corporation
+ * Copyright (C) 2015-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/GIMMinimalInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/GIMMinimalInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/GIMMinimalInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2014-2016 Oracle Corporation
+ * Copyright (C) 2014-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/HMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/HMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/HMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/HMInternal.mac
===================================================================
--- trunk/src/VBox/VMM/include/HMInternal.mac	(revision 68854)
+++ trunk/src/VBox/VMM/include/HMInternal.mac	(revision 69111)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2016 Oracle Corporation
+; Copyright (C) 2006-2017 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/IEMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/IEMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/IEMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/IOMInline.h
===================================================================
--- trunk/src/VBox/VMM/include/IOMInline.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/IOMInline.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/IOMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/IOMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/IOMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/MMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/MMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/MMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/PATMA.h
===================================================================
--- trunk/src/VBox/VMM/include/PATMA.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/PATMA.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/PATMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/PATMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/PATMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/PDMAsyncCompletionFileInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/PDMAsyncCompletionFileInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/PDMAsyncCompletionFileInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/PDMAsyncCompletionInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/PDMAsyncCompletionInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/PDMAsyncCompletionInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/PDMBlkCacheInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/PDMBlkCacheInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/PDMBlkCacheInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/PDMInline.h
===================================================================
--- trunk/src/VBox/VMM/include/PDMInline.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/PDMInline.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2016 Oracle Corporation
+ * Copyright (C) 2012-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/PDMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/PDMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/PDMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/PDMNetShaperInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/PDMNetShaperInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/PDMNetShaperInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2016 Oracle Corporation
+ * Copyright (C) 2011-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/PGMGstDefs.h
===================================================================
--- trunk/src/VBox/VMM/include/PGMGstDefs.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/PGMGstDefs.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/PGMInline.h
===================================================================
--- trunk/src/VBox/VMM/include/PGMInline.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/PGMInline.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/PGMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/PGMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/PGMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/REMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/REMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/REMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/SELMInline.h
===================================================================
--- trunk/src/VBox/VMM/include/SELMInline.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/SELMInline.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/SELMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/SELMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/SELMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/SSMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/SSMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/SSMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/STAMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/STAMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/STAMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/TMInline.h
===================================================================
--- trunk/src/VBox/VMM/include/TMInline.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/TMInline.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/TMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/TMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/TMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/TRPMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/TRPMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/TRPMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/TRPMInternal.mac
===================================================================
--- trunk/src/VBox/VMM/include/TRPMInternal.mac	(revision 68854)
+++ trunk/src/VBox/VMM/include/TRPMInternal.mac	(revision 69111)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2016 Oracle Corporation
+; Copyright (C) 2006-2017 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/VMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/VMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/VMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/VMMInternal.h
===================================================================
--- trunk/src/VBox/VMM/include/VMMInternal.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/VMMInternal.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/VMMInternal.mac
===================================================================
--- trunk/src/VBox/VMM/include/VMMInternal.mac	(revision 68854)
+++ trunk/src/VBox/VMM/include/VMMInternal.mac	(revision 69111)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2016 Oracle Corporation
+; Copyright (C) 2006-2017 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/VMMSwitcher.h
===================================================================
--- trunk/src/VBox/VMM/include/VMMSwitcher.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/VMMSwitcher.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2016 Oracle Corporation
+ * Copyright (C) 2006-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/VMMSwitcher.mac
===================================================================
--- trunk/src/VBox/VMM/include/VMMSwitcher.mac	(revision 68854)
+++ trunk/src/VBox/VMM/include/VMMSwitcher.mac	(revision 69111)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2016 Oracle Corporation
+; Copyright (C) 2006-2017 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/include/VMMTracing.h
===================================================================
--- trunk/src/VBox/VMM/include/VMMTracing.h	(revision 68854)
+++ trunk/src/VBox/VMM/include/VMMTracing.h	(revision 69111)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2016 Oracle Corporation
+ * Copyright (C) 2012-2017 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as