Index: trunk/src/VBox/Devices/Audio/DevHDACommon.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DevHDACommon.cpp	(revision 69117)
+++ trunk/src/VBox/Devices/Audio/DevHDACommon.cpp	(revision 69118)
@@ -15,4 +15,5 @@
  * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
  */
+
 
 /*********************************************************************************************************************************
Index: trunk/src/VBox/Devices/Audio/DrvHostCoreAudio.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvHostCoreAudio.cpp	(revision 69117)
+++ trunk/src/VBox/Devices/Audio/DrvHostCoreAudio.cpp	(revision 69118)
@@ -15,4 +15,5 @@
  * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
  */
+
 
 /*********************************************************************************************************************************
Index: trunk/src/VBox/Devices/Audio/DrvHostDSound.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvHostDSound.cpp	(revision 69117)
+++ trunk/src/VBox/Devices/Audio/DrvHostDSound.cpp	(revision 69118)
@@ -34,4 +34,5 @@
 # include "VBoxMMNotificationClient.h"
 #endif
+
 
 /*********************************************************************************************************************************
@@ -2520,4 +2521,5 @@
 #endif
 
+
 /*********************************************************************************************************************************
 *   PDMDRVINS::IBase Interface                                                                                                   *
Index: trunk/src/VBox/Devices/Audio/DrvHostPulseAudio.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/DrvHostPulseAudio.cpp	(revision 69117)
+++ trunk/src/VBox/Devices/Audio/DrvHostPulseAudio.cpp	(revision 69118)
@@ -180,4 +180,5 @@
 }
 #endif /* !PA_STREAM_IS_GOOD */
+
 
 /*********************************************************************************************************************************
Index: trunk/src/VBox/Devices/Audio/HDAStream.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/HDAStream.cpp	(revision 69117)
+++ trunk/src/VBox/Devices/Audio/HDAStream.cpp	(revision 69118)
@@ -15,4 +15,5 @@
  * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
  */
+
 
 /*********************************************************************************************************************************
Index: trunk/src/VBox/Devices/Audio/HDAStream.h
===================================================================
--- trunk/src/VBox/Devices/Audio/HDAStream.h	(revision 69117)
+++ trunk/src/VBox/Devices/Audio/HDAStream.h	(revision 69118)
Index: trunk/src/VBox/Devices/Audio/HDAStreamChannel.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/HDAStreamChannel.cpp	(revision 69117)
+++ trunk/src/VBox/Devices/Audio/HDAStreamChannel.cpp	(revision 69118)
@@ -15,4 +15,5 @@
  * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
  */
+
 
 /*********************************************************************************************************************************
Index: trunk/src/VBox/Devices/Audio/HDAStreamMap.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/HDAStreamMap.cpp	(revision 69117)
+++ trunk/src/VBox/Devices/Audio/HDAStreamMap.cpp	(revision 69118)
@@ -15,4 +15,5 @@
  * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
  */
+
 
 /*********************************************************************************************************************************
Index: trunk/src/VBox/Devices/Audio/HDAStreamPeriod.cpp
===================================================================
--- trunk/src/VBox/Devices/Audio/HDAStreamPeriod.cpp	(revision 69117)
+++ trunk/src/VBox/Devices/Audio/HDAStreamPeriod.cpp	(revision 69118)
@@ -23,4 +23,5 @@
  * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
  */
+
 
 /*********************************************************************************************************************************