Index: trunk/src/bldprogs/scm.cpp
===================================================================
--- trunk/src/bldprogs/scm.cpp	(revision 69171)
+++ trunk/src/bldprogs/scm.cpp	(revision 69176)
@@ -918,4 +918,6 @@
         if (RT_FAILURE(rc))
             break;
+        RTPathChangeToUnixSlashes(szFile, true);
+
         if (RTFileExists(szFile))
         {
@@ -967,4 +969,6 @@
     if (RT_SUCCESS(rc))
     {
+        RTPathChangeToUnixSlashes(szFile, true);
+
         PSCMSETTINGS pSettings;
         rc = scmSettingsCreate(&pSettings, &(*ppSettingsStack)->Base);
@@ -1033,4 +1037,6 @@
                                         const char *pszBasename, size_t cchBasename, PSCMSETTINGSBASE pBase)
 {
+    ScmVerbose(NULL, 5, "scmSettingsStackMakeFileBase(%s, %.*s)\n", pszFilename, cchBasename, pszBasename);
+
     int rc = scmSettingsBaseInitAndCopy(pBase, &pSettingsStack->Base);
     if (RT_SUCCESS(rc))
@@ -1053,4 +1059,6 @@
                                                         pszFilename,  RTSTR_MAX, NULL))
                     {
+                        ScmVerbose(NULL, 5, "scmSettingsStackMakeFileBase: Matched '%s' : '%s'\n",
+                                   pCur->paPairs[i].pszPattern, pCur->paPairs[i].pszOptions);
                         rc = scmSettingsBaseParseString(pBase, pCur->paPairs[i].pszOptions);
                         if (RT_FAILURE(rc))
@@ -1536,4 +1544,6 @@
     if (RT_SUCCESS(rc))
     {
+        RTPathChangeToUnixSlashes(pszDir, true);
+
         RTDIRENTRY Entry;
         rc = scmProcessDirTreeRecursion(pszDir, strlen(pszDir), &Entry, pSettingsStack, 0);
Index: trunk/src/bldprogs/scmrw.cpp
===================================================================
--- trunk/src/bldprogs/scmrw.cpp	(revision 69171)
+++ trunk/src/bldprogs/scmrw.cpp	(revision 69176)
@@ -164,4 +164,28 @@
  * @note This isn't detectable as VirtualBox or Oracle specific.  */
 static const char g_szMit[] =
+    "Permission is hereby granted, free of charge, to any person obtaining a\n"
+    "copy of this software and associated documentation files (the \"Software\"),\n"
+    "to deal in the Software without restriction, including without limitation\n"
+    "the rights to use, copy, modify, merge, publish, distribute, sublicense,\n"
+    "and/or sell copies of the Software, and to permit persons to whom the\n"
+    "Software is furnished to do so, subject to the following conditions:\n"
+    "\n"
+    "The above copyright notice and this permission notice shall be included in\n"
+    "all copies or substantial portions of the Software.\n"
+    "\n"
+    "THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n"
+    "IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n"
+    "FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL\n"
+    "THE COPYRIGHT HOLDER(S) OR AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR\n"
+    "OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,\n"
+    "ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR\n"
+    "OTHER DEALINGS IN THE SOFTWARE.\n";
+
+/** --license-mit, alternative wording.
+ * @note This isn't detectable as VirtualBox or Oracle specific.
+ * @note This differes from g_szMit in "COPYRIGHT HOLDER(S) OR AUTHOR(S)" is
+ *       written "AUTHORS OR COPYRIGHT HOLDERS".  Its layout is narrower, so
+ *       it is a couple of lines longer. */
+static const char g_szMitAltB[] =
     "Permission is hereby granted, free of charge, to any person\n"
     "obtaining a copy of this software and associated documentation\n"
@@ -179,9 +203,57 @@
     "EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES\n"
     "OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\n"
-    "NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT\n"
+    "NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT\n"
     "HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\n"
     "WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n"
     "FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR\n"
     "OTHER DEALINGS IN THE SOFTWARE.\n";
+
+/** --license-mit, alternative wording.
+ * @note This isn't detectable as VirtualBox or Oracle specific.
+ * @note This differes from g_szMit in that "COPYRIGHT HOLDER(S) OR AUTHOR(S)"
+ *       is replaced with "THE COPYRIGHT HOLDERS, AUTHORS AND/OR ITS
+ *       SUPPLIERS". */
+static const char g_szMitAltC[] =
+    "Permission is hereby granted, free of charge, to any person obtaining a\n"
+    "copy of this software and associated documentation files (the \"Software\"),\n"
+    "to deal in the Software without restriction, including without limitation\n"
+    "the rights to use, copy, modify, merge, publish, distribute, sublicense,\n"
+    "and/or sell copies of the Software, and to permit persons to whom the\n"
+    "Software is furnished to do so, subject to the following conditions:\n"
+    "\n"
+    "The above copyright notice and this permission notice shall be included in\n"
+    "all copies or substantial portions of the Software.\n"
+    "\n"
+    "THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n"
+    "IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n"
+    "FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL\n"
+    "THE COPYRIGHT HOLDERS, AUTHORS AND/OR ITS SUPPLIERS BE LIABLE FOR ANY CLAIM,\n"
+    "DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR\n"
+    "OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE\n"
+    "USE OR OTHER DEALINGS IN THE SOFTWARE.\n";
+
+/** --license-mit, alternative wording.
+ * @note This isn't detectable as VirtualBox or Oracle specific.
+ * @note This differes from g_szMitAltC in that the second and third sections
+ *       have been switch. */
+static const char g_szMitAltD[] =
+    "Permission is hereby granted, free of charge, to any person obtaining a\n"
+    "copy of this software and associated documentation files (the \"Software\"),\n"
+    "to deal in the Software without restriction, including without limitation\n"
+    "the rights to use, copy, modify, merge, publish, distribute, sublicense,\n"
+    "and/or sell copies of the Software, and to permit persons to whom the\n"
+    "Software is furnished to do so, subject to the following conditions:\n"
+    "\n"
+    "THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n"
+    "IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n"
+    "FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL\n"
+    "THE COPYRIGHT HOLDERS, AUTHORS AND/OR ITS SUPPLIERS BE LIABLE FOR ANY CLAIM,\n"
+    "DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR\n"
+    "OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE\n"
+    "USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
+    "\n"
+    "The above copyright notice and this permission notice shall be included in\n"
+    "all copies or substantial portions of the Software.\n";
+
 
 /** Oracle confidential. */
@@ -203,8 +275,11 @@
 static const SCMLICENSETEXT g_aLicensesWithMit[] =
 {
+    { kScmLicenseType_Mit,              kScmLicense_Mit,            RT_STR_TUPLE(g_szMit) },
+    { kScmLicenseType_Mit,              kScmLicense_Mit,            RT_STR_TUPLE(g_szMitAltB) },
+    { kScmLicenseType_Mit,              kScmLicense_Mit,            RT_STR_TUPLE(g_szMitAltC) },
+    { kScmLicenseType_Mit,              kScmLicense_Mit,            RT_STR_TUPLE(g_szMitAltD) },
     { kScmLicenseType_OseGpl,           kScmLicense_OseGpl,         RT_STR_TUPLE(g_szVBoxOseGpl)},
     { kScmLicenseType_OseDualGplCddl,   kScmLicense_OseDualGplCddl, RT_STR_TUPLE(g_szVBoxOseDualGplCddl) },
     { kScmLicenseType_VBoxLgpl,         kScmLicense_Lgpl,           RT_STR_TUPLE(g_szVBoxLgpl)},
-    { kScmLicenseType_Mit,              kScmLicense_Mit,            RT_STR_TUPLE(g_szMit) },
     { kScmLicenseType_Confidential,     kScmLicense_End,            RT_STR_TUPLE(g_szOracleConfidential) },
     { kScmLicenseType_Invalid,          kScmLicense_End,            NULL, 0 },
@@ -817,5 +892,5 @@
     Assert(strlen(pszBody) == cchBody);
     //RTPrintf("--- comment at %u, type %u ---\n%s\n--- end ---\n", pInfo->iLineStart, pInfo->enmType, pszBody);
-    ScmVerbose(pState->pState, 2,
+    ScmVerbose(pState->pState, 4,
                "--- comment at %u col %u, %u lines, type %u, %u lines before body, %u lines after body\n",
                pInfo->iLineStart, pInfo->offStart, pInfo->iLineEnd - pInfo->iLineStart + 1, pInfo->enmType,
@@ -1018,5 +1093,5 @@
                     pState->fExternalLicense    = fExternal;
                     pState->fIsCorrectLicense   = pState->fOpenSource
-                                                ? pCur->enmOpt == pState->enmLicenceOpt
+                                                ? pCur == pState->pExpectedLicense
                                                 : pCur->enmType == kScmLicenseType_Confidential;
                     pState->fWellFormedLicense  = memcmp(pszBody, pCur->psz, pCur->cch - 1) == 0;